Bug 169263 - CVE-2005-3055 async usb devio oops (ipf)
Summary: CVE-2005-3055 async usb devio oops (ipf)
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: kernel (Show other bugs)
(Show other bugs)
Version: 2.1
Hardware: ia64 Linux
medium
medium
Target Milestone: ---
Assignee: Don Howard
QA Contact: Brian Brock
URL:
Whiteboard: impact=moderate,public=20050925,sourc...
Keywords: Security
Depends On:
Blocks: 143573
TreeView+ depends on / blocked
 
Reported: 2005-09-26 09:38 UTC by Mark J. Cox
Modified: 2007-11-30 22:06 UTC (History)
0 users

Fixed In Version: RHSA-2006-0580
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-13 11:54:57 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2006:0580 normal SHIPPED_LIVE Moderate: kernel security update 2006-07-13 04:00:00 UTC

Description Mark J. Cox 2005-09-26 09:38:23 UTC
Although the issue below is for linux-2.6 the code in linux-2.4 looks pretty
much identical so this issue may affect RHEL2.1

+++ This bug was initially created as a clone of Bug #169260 +++

Harald Welte mailed the lkml on 20050925 with a report of how to cause a local
oops if a user has permissions to access an arbitrary usb device.  I've rated
this as 'moderate' instead of 'important' due to that requirement.  Although usb
permissions will be given automatically to console users, a DOS from a user who
has physical access to a machine is little extra risk and we ignore that from
the severity calculation.

See the following URL for the description and patch
http://marc.theaimsgroup.com/?l=linux-kernel&m=112766129313883

Comment 4 Mike Gahagan 2006-07-12 19:06:41 UTC
doesn't look like we have a reproducer for this one, but the patch is there..
looks to be a well-understood problem and has been upstream for a while.




Comment 6 Red Hat Bugzilla 2006-07-13 11:54:57 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0580.html



Note You need to log in before you can comment on or make changes to this bug.